package org.wfc.omada.api.maintenance.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * Sites to restore.
 */
@ApiModel(description = "Sites to restore.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:40:12.680+08:00[Asia/Shanghai]")

public class FileServerSiteRestoreVo   {
  @JsonProperty("filePath")
  private String filePath;

  @JsonProperty("siteId")
  private String siteId;

  public FileServerSiteRestoreVo filePath(String filePath) {
    this.filePath = filePath;
    return this;
  }

  /**
   * Full path of Backup file, example: /backup/omada_backup.cfg. Parameter [filePath] should be 1 - 128 ASCII characters.
   * @return filePath
  */
  @ApiModelProperty(required = true, value = "Full path of Backup file, example: /backup/omada_backup.cfg. Parameter [filePath] should be 1 - 128 ASCII characters.")
  @NotNull


  public String getFilePath() {
    return filePath;
  }

  public void setFilePath(String filePath) {
    this.filePath = filePath;
  }

  public FileServerSiteRestoreVo siteId(String siteId) {
    this.siteId = siteId;
    return this;
  }

  /**
   * Site ID to restore.
   * @return siteId
  */
  @ApiModelProperty(required = true, value = "Site ID to restore.")
  @NotNull


  public String getSiteId() {
    return siteId;
  }

  public void setSiteId(String siteId) {
    this.siteId = siteId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    FileServerSiteRestoreVo fileServerSiteRestoreVo = (FileServerSiteRestoreVo) o;
    return Objects.equals(this.filePath, fileServerSiteRestoreVo.filePath) &&
        Objects.equals(this.siteId, fileServerSiteRestoreVo.siteId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(filePath, siteId);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class FileServerSiteRestoreVo {\n");
    
    sb.append("    filePath: ").append(toIndentedString(filePath)).append("\n");
    sb.append("    siteId: ").append(toIndentedString(siteId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

